Name:		qca-tls
Copyright:	GPL
Group:		Networking/Instant messaging
Summary:	QCA TLS Plugin
Version:	1.0
Release:	alt4
Source:		%name-%version.tar.bz2
Obsoletes:	qssl
Packager:	Mikhail Yakshin <greycat@altlinux.ru>

# Automatically added by buildreq on Sun May 16 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libqt3-devel libssl-devel libstdc++-devel

%description
This is a plugin to provide SSL/TLS capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

It's used by Psi Jabber client to support SSL connections.

%description -l ru_RU.UTF-8
Этот плагин предоставляет возможность использования SSL/TLS для
программ, поддерживающих Qt Cryptographic Architecture (QCA).

Он используется Jabber-клиентом Psi для поддержки соединений SSL.

%prep
%setup

%build
QTDIR=%_libdir/qt3
QMAKESPEC="linux-g++"
export QTDIR QMAKESPEC
./configure
%make

%install
%__mkdir_p $RPM_BUILD_ROOT%_libdir/qt3/plugins/crypto/
%__cp libqca-tls.so $RPM_BUILD_ROOT%_libdir/qt3/plugins/crypto/

%files
%_libdir/qt3/plugins/crypto/libqca-tls.so
%doc README

%changelog
* Sun Jan 14 2007 Mikhail Yakshin <greycat@altlinux.ru> 1.0-alt4
- Fixed build with OpenSSL 0.9.8

* Tue Feb 21 2006 Anton Farygin <rider@altlinux.ru> 1.0-alt3.2
- NMU: rebuild for x86_64

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-alt3.1
- Rebuilt with libstdc++.so.6.

* Sun May 16 2004 Mikhail Yakshin <greycat@altlinux.ru> 1.0-alt3
- Build fixes to compile with OpenSSL 0.9.7
- Removed patch due to fixes to build process

* Tue Jan 20 2004 Mikhail Yakshin <greycat@altlinux.ru> 1.0-alt2
- Added a patch from Vadim Gorodisky to make SSL work

* Sun Jan  4 2004 Mikhail Yakshin <greycat@altlinux.ru> 1.0-alt1
- Initial release
- It's a plugin mostly for Psi jabber client, designed to replace
  older qssl plugin and provide uniform QCA support
